### Function

# GLib Rand new_with_seed_array

since: 2.4

#### Declaration [src]

    GRand*
    g_rand_new_with_seed_array (
      const guint32* seed,
      guint seed_length
    )

#### Description [src]

Creates a new random number generator initialized with `seed`.

Available since: 2.4

#### Parameters

`seed`

  Type: `const guint32*`

  An array of seeds to initialize the random number generator.

  The data is owned by the caller of the function.

`seed_length`

  Type: `guint`

  An array of seeds to initialize the random number generator.

#### Return value

Type: `GRand`

The new `GRand`.

The caller of the function takes ownership of the data, and is responsible for freeing it.